Loading...
Searching...
No Matches
PROBESESSION

## Data Structures

struct | oval_probe_session
| OVAL probe session structure. More...

## Typedefs

typedef struct oval_probe_session | oval_probe_session_t

## Functions

oval_probe_session_t * | oval_probe_session_new (struct oval_syschar_model *model)
| Create and initialize a new probe session.
void | oval_probe_session_reinit (oval_probe_session_t *sess, struct oval_syschar_model *model)
| Reinitialize already allocated probe session inplace.
void | oval_probe_session_destroy (oval_probe_session_t *sess)
| Destroy probe session.
int | oval_probe_session_reset (oval_probe_session_t *sess, struct oval_syschar_model *sysch)
| Reset the session.
int | oval_probe_session_abort (oval_probe_session_t *sess)
| Abort the session.
struct oval_syschar_model * | oval_probe_session_getmodel (oval_probe_session_t *sess)
| Get system characteristics model from probe session.

## Detailed Description

## Function Documentation

## oval_probe_session_destroy()

OSCAP_API void oval_probe_session_destroy | ( | oval_probe_session_t * | sess | ) |

Destroy probe session.

All state information created during the lifetime of the session is freed, resources used by probes are freed using the probe handler API.

Parameters

  sess | pointer to the probe session structure

## oval_probe_session_getmodel()

OSCAP_API struct oval_syschar_model * oval_probe_session_getmodel | ( | oval_probe_session_t * | sess | ) |

Get system characteristics model from probe session.

Parameters

  sess | pointer to the probe session structure

## oval_probe_session_new()

OSCAP_API oval_probe_session_t * oval_probe_session_new | ( | struct oval_syschar_model * | model | ) |

Create and initialize a new probe session.

Parameters

  model | system characteristics model

## oval_probe_session_reinit()

OSCAP_API void oval_probe_session_reinit | ( | oval_probe_session_t * | sess,
|  | struct oval_syschar_model * | model )

Reinitialize already allocated probe session inplace.

Parameters

  model | system characteristics model

## oval_probe_session_reset()

OSCAP_API int oval_probe_session_reset | ( | oval_probe_session_t * | sess,
|  | struct oval_syschar_model * | sysch )

Reset the session.

All state information created during the lifetime of the session is freed and reset to its initial state. All cached results are lost.

Parameters

  sess | pointer to the probe session structure
  sysch | pointer to a new syschar model or NULL